path: /build/build/mariadb-connector-c-dev-db-3.1.12.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-curl -gnutls -kerberos -libressl -ssl" emerge dev-db/mariadb-connector-c -pv -t && \
    USE="-curl -gnutls -kerberos -libressl -ssl" emerge -j ${JOBS} --nodeps dev-db/mariadb-connector-c
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mariadb-connector-c && luet-portage
    --dir /pkgdir/mariadb-connector-c dev-db/mariadb-connector-c && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: mariadb-connector-c
    version: 3.1.12
    category: dev-db
    use_flags:
    - -curl
    - -gnutls
    - -kerberos
    - -libressl
    - -ssl
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C client library for MariaDB/MySQL
    uri:
    - https://mariadb.org/
    license: LGPL-2.1
    buildtimestamp: 2023-08-25 23:42:01.79653622 +0000 UTC m=+73.705194239
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: sys-libs/zlib:= virtual/libiconv:= curl? ( net-misc/curl:0= ) kerberos?
        ( || ( app-crypt/mit-krb5 app-crypt/heimdal ) ) ssl? ( gnutls? ( >=net-libs/gnutls-3.3.24:0=
        ) !gnutls? ( libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
        ) ) )
      IUSE: +curl gnutls kerberos libressl +ssl static-libs test
      RDEPEND: sys-libs/zlib:= virtual/libiconv:= curl? ( net-misc/curl:0= ) kerberos?
        ( || ( app-crypt/mit-krb5 app-crypt/heimdal ) ) ssl? ( gnutls? ( >=net-libs/gnutls-3.3.24:0=
        ) !gnutls? ( libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
        ) ) )
      emerge.packages: dev-db/mariadb-connector-c
      kit: dev-kit
      original.package.name: dev-db/mariadb-connector-c
      original.package.slot: "0"
      original.package.version: 3.1.12
    treedir: /build/packages
  package_dir: /pkgdir/mariadb-connector-c
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8e1fc5b5d2342cc6eb354f4d857d4e80948e60d103df3e2895ab8eba72fec711
compressiontype: zstd
files:
- usr/bin/mariadb_config
- usr/include/mariadb/errmsg.h
- usr/include/mariadb/ma_list.h
- usr/include/mariadb/ma_pvio.h
- usr/include/mariadb/ma_tls.h
- usr/include/mariadb/mariadb/ma_io.h
- usr/include/mariadb/mariadb_com.h
- usr/include/mariadb/mariadb_ctype.h
- usr/include/mariadb/mariadb_dyncol.h
- usr/include/mariadb/mariadb_rpl.h
- usr/include/mariadb/mariadb_stmt.h
- usr/include/mariadb/mariadb_version.h
- usr/include/mariadb/mysql/client_plugin.h
- usr/include/mariadb/mysql/plugin_auth.h
- usr/include/mariadb/mysql/plugin_auth_common.h
- usr/include/mariadb/mysql.h
- usr/include/mariadb/mysqld_error.h
- usr/lib64/libmariadb.so
- usr/lib64/libmariadb.so.3
- usr/lib64/libmariadbclient.a
- usr/lib64/mariadb/plugin/dialog.so
- usr/lib64/mariadb/plugin/mysql_clear_password.so
- usr/lib64/pkgconfig/libmariadb.pc
- usr/share/doc/mariadb-connector-c-3.1.12/README.bz2
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/BDEPEND
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/BUILD_TIME
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CATEGORY
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CBUILD
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CFLAGS
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CHOST
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CONTENTS
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/COUNTER
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/CXXFLAGS
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/DEFINED_PHASES
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/DEPEND
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/DESCRIPTION
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/EAPI
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/FEATURES
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/HOMEPAGE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/INHERITED
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/IUSE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/IUSE_EFFECTIVE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/KEYWORDS
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/LDFLAGS
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/LICENSE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/NEEDED
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/PF
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/PROVIDES
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/RDEPEND
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/REQUIRES
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/RESTRICT
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/SIZE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/SLOT
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/USE
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/environment.bz2
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/mariadb-connector-c-3.1.12.ebuild
- var/db/pkg/dev-db/mariadb-connector-c-3.1.12/repository
package_cacheimage: ""
runtime:
  name: mariadb-connector-c
  version: 3.1.12
  category: dev-db
  use_flags:
  - -curl
  - -gnutls
  - -kerberos
  - -libressl
  - -ssl
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  - name: libiconv
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C client library for MariaDB/MySQL
  uri:
  - https://mariadb.org/
  license: LGPL-2.1
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: sys-libs/zlib:= virtual/libiconv:= curl? ( net-misc/curl:0= ) kerberos?
      ( || ( app-crypt/mit-krb5 app-crypt/heimdal ) ) ssl? ( gnutls? ( >=net-libs/gnutls-3.3.24:0=
      ) !gnutls? ( libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
      ) ) )
    IUSE: +curl gnutls kerberos libressl +ssl static-libs test
    RDEPEND: sys-libs/zlib:= virtual/libiconv:= curl? ( net-misc/curl:0= ) kerberos?
      ( || ( app-crypt/mit-krb5 app-crypt/heimdal ) ) ssl? ( gnutls? ( >=net-libs/gnutls-3.3.24:0=
      ) !gnutls? ( libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
      ) ) )
    emerge.packages: dev-db/mariadb-connector-c
    kit: dev-kit
    original.package.name: dev-db/mariadb-connector-c
    original.package.slot: "0"
    original.package.version: 3.1.12
